fresh_graphql 0.3.0
fresh_graphql: ^0.3.0 copied to clipboard

Dart native
Flutter Android iOS

An graphql link for token refresh. Built on top of package:graphql and manages authentication tokens transparently.

9
likes
100 / 110
pub points
53 %
popularity

We analyzed this package on Jan 26, 2021, and awarded it 100 pub points (of a possible 110):

Follow Dart file conventions
20 / 20

10/10 points: Provide a valid pubspec.yaml

5/5 points: Provide a valid README.md

5/5 points: Provide a valid CHANGELOG.md

Provide documentation
20 / 20

10/10 points: Package has an example

  • Found example at: example/main.dart

10/10 points: 20% or more of the public API has dartdoc comments

  • 3 out of 6 API elements (50.0 %) have documentation comments.
Support multiple platforms
10 / 20

10/20 points: Supports 1 of 2 possible platforms (native, js)

Consider supporting multiple platforms:

Package not compatible with runtime js

Because:

  • package:fresh_graphql/fresh_graphql.dart that imports:
  • package:fresh_graphql/src/fresh_link.dart that imports:
  • package:graphql/client.dart that imports:
  • package:graphql/src/link/http/link_http.dart that imports:
  • package:graphql/src/exceptions/exceptions.dart that imports:
  • package:graphql/src/exceptions/io_network_exception.dart that imports:
  • dart:io
Pass static analysis
30 / 30

30/30 points: code has no errors, warnings, lints, or formatting issues

Support up-to-date dependencies
20 / 20

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
fresh^0.3.00.3.00.3.0
graphql^3.0.23.1.03.1.0
http^0.12.10.12.20.12.2
meta^1.1.81.2.41.2.4
pedantic^1.9.01.9.21.9.2
Transitive dependencies
PackageConstraintCompatibleLatest
charcode-1.1.31.1.3
collection-1.14.131.14.13
convert-2.1.12.1.1
crypto-2.1.52.1.5
gql-0.12.40.12.4
http_parser-3.1.43.1.4
matcher-0.12.90.12.9
mime-0.9.70.9.7
path-1.7.01.7.0
quiver-2.1.52.1.5
rxdart-0.24.10.25.0
source_span-1.7.01.7.0
stack_trace-1.9.61.9.6
string_scanner-1.0.51.0.5
term_glyph-1.1.01.1.0
typed_data-1.2.01.2.0
uuid_enhanced-3.0.23.0.2
websocket-0.0.50.0.5

To reproduce run pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

9
likes
100
pub points
53%
popularity

An graphql link for token refresh. Built on top of package:graphql and manages authentication tokens transparently.

Repository (GitHub)
View/report issues

Documentation

API reference

Uploader

felangelov@gmail.com

License

MIT (LICENSE)

Dependencies

fresh, graphql, http, meta, pedantic

More

Packages that depend on fresh_graphql